%define anolis_release 1

Name: libqmi
Version: 1.34.0
Release: %{anolis_release}%{?dist}
Summary: Support library to use the Qualcomm MSM Interface (QMI) protocol
License: LGPLv2+
URL: http://freedesktop.org/software/libqmi
Source: https://gitlab.freedesktop.org/mobile-broadband/libqmi/-/archive/%{version}/%{name}-%{version}.tar.bz2

# upstream patch for big endian issue
# https://gitlab.freedesktop.org/mobile-broadband/libqmi/-/commit/6662764338d3127924cfefaa9cf1b0cc4f90a189
Patch0: 6662764338d3127924cfefaa9cf1b0cc4f90a189.patch
# All of these are applied upstream, patches can be dropped with rebase to 1.36
Patch1: 0001-test-fixture-assert-the-service-type-index-fits-into.patch
Patch2: 0002-swi-update-close-the-file-handle-even-if-it-s-zero.patch
Patch3: 0003-qmicli-avoid-leaking-the-input-messages.patch
Patch4: 0004-qmicli-dms-do-not-leak-split.patch
Patch5: 0005-qmicli-dms-use-automatic-pointers-for-split-strings.patch
Patch6: 0006-qmicli-dms-do-not-leak-result-on-error.patch
Patch7: 0007-qmicli-nas-avoid-leaking-mnc.patch
Patch8: 0008-qmicli-pdc-avoid-leaking-file_contents.patch
Patch9: 0009-qmicli-ims-fix-a-silly-argument-mixup.patch

BuildRequires: meson >= 0.53
BuildRequires: gcc
BuildRequires: gobject-introspection-devel
BuildRequires: gtk-doc
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(glib-2.0) >= 2.56
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(gudev-1.0) >= 232
BuildRequires: pkgconfig(mbim-glib) >= 1.18.0
BuildRequires: pkgconfig(qrtr-glib) >= 1.0.0
BuildRequires: make
BuildRequires: python3
BuildRequires: help2man

%description
This package contains the libraries that make it easier to use QMI functionality
from applications that use glib.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: Header files for adding QMI support to applications that use glib
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header and pkg-config files for development
applications using QMI functionality from applications that use glib.


%package utils
Summary: Utilities to use the QMI protocol from the command line
Requires: %{name} = %{version}-%{release}
License: GPLv2+

%description utils
This package contains the utilities that make it easier to use QMI functionality
from the command line.


%prep
%autosetup -p1


%build
%meson -Dgtk_doc=true -Dbash_completion=false
%meson_build

%install
%meson_install
find %{buildroot}%{_datadir}/gtk-doc |xargs touch --reference meson.build

%generate_compatibility_deps

%files
%dir %{abidir}
%license COPYING.LIB
%{_libdir}/libqmi-glib.so.*
%{abidir}/libqmi-glib.dump
%{_libdir}/girepository-1.0/Qmi-1.0.typelib

%files doc
%doc NEWS AUTHORS 
#README

%files devel
%{_includedir}/libqmi-glib/
%{_libdir}/pkgconfig/qmi-glib.pc
%{_libdir}/libqmi-glib.so
%{_datadir}/gtk-doc/html/libqmi-glib/
%{_datadir}/gir-1.0/Qmi-1.0.gir


%files utils
%license COPYING
%{_bindir}/qmicli
%{_bindir}/qmi-network
%{_bindir}/qmi-firmware-update
%{abidir}/qmicli-option.list
%{abidir}/qmi-network-option.list
%{abidir}/qmi-firmware-update-option.list
#%%{_datadir}/bash-completion
%{_libexecdir}/qmi-proxy
%{_mandir}/man1/*


%changelog
* Wed Feb 19 2025 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.34.0-1
- Sync up from CentOS Stream libqmi-1.34.0-1(tdawson@redhat.com)

* Mon Nov 21 2022 Funda Wang <fundawang@yeah.net> - 1.30.8-1
- New version 1.30.8

* Mon Oct 24 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.30.4-2
- optimise spec file & add doc package

* Wed Mar 09 2022 Hongwei Qin <qhw01063182@alibaba-inc.com> - 1.30.4-1
- Update to 1.30.4
- Init for Anolis OS 23
